// Code generated by go-swagger; DO NOT EDIT.

package job_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// GetRuntimeJobsOKCode is the HTTP code returned for type GetRuntimeJobsOK
const GetRuntimeJobsOKCode int = 200

/*GetRuntimeJobsOK RuntimeJob from RuntimeAppInstance

swagger:response getRuntimeJobsOK
*/
type GetRuntimeJobsOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeJob `json:"body,omitempty"`
}

// NewGetRuntimeJobsOK creates GetRuntimeJobsOK with default headers values
func NewGetRuntimeJobsOK() *GetRuntimeJobsOK {

	return &GetRuntimeJobsOK{}
}

// WithPayload adds the payload to the get runtime jobs o k response
func (o *GetRuntimeJobsOK) WithPayload(payload *models.RuntimeJob) *GetRuntimeJobsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the get runtime jobs o k response
func (o *GetRuntimeJobsOK) SetPayload(payload *models.RuntimeJob) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *GetRuntimeJobsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
